# nghttp2_stream_get_weight

## Synopsis

#include <nghttp2/nghttp2.h>

int32_t nghttp2_stream_get_weight(nghttp2_stream *stream)

  Warning

  Deprecated. RFC 7540 priorities are deprecated by RFC 9113. Consider migrating to RFC 9218 extensible prioritization scheme. In the future release after the end of 2024, this function will always return `NGHTTP2_DEFAULT_WEIGHT`.

  Returns dependency weight to the parent stream of stream.